function showError(text) {
    $("#error").css("background", "red").html(text);
    $("#error").show();
}

function start()
{
    sendRequest(setOptions, $("#options"));
    sendRequest(formatCode, $("#code"));
}

function sendRequest(url, $this) {
    $.ajax({
        type: "POST",
        url: url,
        data: $this.val(),
        success: 
            function(data) { 
                if ($this.attr("id") == "code") {
                    $("#code").val(data);
                } else {
                    $("#error").hide();
                }
            },
        error: 
            function (xhr, ajaxOptions, thrownError) {
                showError("Error " + xhr.status + "<br />" + thrownError);
            }
    });
}

$(function() {
    $("#options").val("--indent=spaces=4 --style=kr --indent-switches --indent-namespaces --indent-col1-comments --max-instatement-indent=65 --attach-inlines --pad-header --pad-oper --unpad-paren --align-pointer=type --align-reference=type --close-templates --add-brackets --keep-one-line-blocks --convert-tabs");
});